"use strict";
(function ($) {
    $.block_location = function (element, options) {
        let defaults = {
            row_state_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);

        };
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.block_location = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('block_location')) {
                let plugin = new $.block_location(this, options);
                $(this).data('block_location', plugin);
            }
        });
    }
})(jQuery);
